Instalando o melhor cliente e-mule no Debian: amule

Publicado por Renan Cassa Louzada em 29/10/2005

[ Hits: 17.119 ]

Blog: http://www.facebook.com/renanlouzada

 


Instalando o melhor cliente e-mule no Debian: amule



Estou escrevendo essa dica pois tive que "pensar" um pouco pra poder descobrir como instalar pelo apt-get, pois manualmente ele requeria um certo arquivo que eu não possuía. Enfim, muito rápida e bem formulada a explicação que darei.

Antes de mais nada, abram o sources.list com seu editor de textos predileto (/etc/apt/sources.list).

OBS: Você deve por o mirror do Debian Testing e Unstable para essa instalação (eu pelo menos usei os dois).

Foram estes:

deb http://ring.hosei.ac.jp/archives/linux/debian/debian/ testing main non-free contrib
deb-src http://ring.hosei.ac.jp/archives/linux/debian/debian/ testing main non-free contrib
deb http://ring.hosei.ac.jp/archives/linux/debian/debian/ unstable main non-free contrib
deb-src http://ring.hosei.ac.jp/archives/linux/debian/debian/ unstable main non-free contrib

Com estes mirrors no sources.list, digite no terminal:

# apt-get update

Depois de baixar a lista de pacotes, digite:

# apt-get install amule

Serão baixados 18MB de arquivos [aqui foram isso] e dentre esses arquivos está a atualização da libc6. Use "Y" na opção em que perguntar o que você quer fazer.

Após respondida esta (ainda no terminal), use o comando:

$ amule &

Apenas configure o básico e baixe os servidores. Depois disso, seja feliz com seus downloads! ;D

Espero ter contribuído com quem precisa.
[]z

Outras dicas deste autor

Instalando o KDE 3.4 no Debian

Recebendo e enviando emails pelo GMail usando o Thunderbird

Conectando-se à rede EFNET c/ ipv6

Instalando o KDE 3.5 no Debian.

Skype no Ubuntu 7.10 64 bits (amd64)

Leitura recomendada

Pacote BrOffice 2.2.1 (verificador ortográfico pt_BR) para Slackware 12

Winex Cedega

Ubuntu em casa

Conheça a suíte de telecomunicações Jubarte

Krusader estável para Debian

  

Comentários
[1] Comentário enviado por removido em 29/10/2005 - 13:52h

Não precisa de tudo isso para ter o amule.
O debian possui o amule inclusive na stable.
Além disso, para os que possuem menos experiência, atualizar a libc6 mudando drasticamente de versão, como é sair da stable para a unstable ou testing, requer uma certa experiência ou o sistema pode parar de funcionar caso não seja um Debian legítimo e mesmo sendo legítimo existem algumas lógicas de atualização, em alguns casos, atualizar a libc6 diretamente resulta em uma remoção crítica de pacotes, é preciso ter um certo bom senso ou julgar se deve ou não atualizar a libc6

Quanto ao fato de ser o melhor: O aMule é mais estável, mas o xMule permite melhor controle sobre as buscas na rede P2P, como salvar pesquisas ou definir melhor controle no número de resultados, assim, fica difícil dizer realmente qual é o melhor. Além disso existe lmule! Francamente, não sei até que ponto realmente podemos dizer que um é melhor que o outro.

Entretanto cabe ressaltar que a dica em questão é a forma mais eficiente de ter a versão mais atual do amule sem compilar.

Por fim, eu sugiro que instalem também o amule-utils (também é pacote oficial do debian e não é instalado quando pedimos para instalar o amule)

[2] Comentário enviado por Renan_ em 29/10/2005 - 13:57h

Bom, foi somente assim que consegui instala-lo. Foi minha primeira dica para o site. Não está perfeita. E outra, aqui nao achou o amule p/ a versão sarge.. somente para a sid com dependencias na testing.
De qualquer forma, vlw.
=)

[3] Comentário enviado por removido em 29/10/2005 - 14:58h

Por favor não entenda meus comentários como uma forma destrutiva, ao contrário, acredito que as comentários são exatamente a oportunidade que cada usuário que não escreveu a dica/artigo ou o que quer que seja de adicionar um conteúdo a mais a informação postada originalmente.
Sempre pode-se adicionar mais, sempre podemos fazer melhor ... eu mesmo, postei 3 dicas para o VOL e tive duas rejeitadas, foram minhas duas primeiras dicas e eu aprendi muito mais com isso do que se elas estivem sido aceitas, não por causa de um comentário ou resposta do por que extamente elas foram rejeitadas (que no caso das dicas não existe) mas por que percebi que eu podia e devia fazer mais para desenvolver aquela informação de forma mais precisa e consistente.

Certamente sua dica (que eu não testei na prática) funciona, eu nem preciso testar para saber disso ... o único cuidado que eu realmente achei perigoso é a recomendação de dizer sim ao upgrade da libc6, na maior parte dos casos, atualizar a libc6 é um grande problema. Deve-se fazer com uma certa cautela. Apenas isso !!!

Para você ver, fiz confusão ao afirmar que e o amule estava atualmente no stable, o que eu devia ter dito - e não disse por que errei ao comentar - é que não faria muita diferença entre instalar do amule externo ou interno ... além do fato de que o testing está com o certificado do time de segurança do Debian, o que em outras palavras diz que o pacote não contém brechas de segurança...

Ok?! :)

[4] Comentário enviado por Renan_ em 29/10/2005 - 15:25h

Tudo bem hehe.. nao considerei uma "dica destrutiva", pelo contrario, a gente realmente sempre tira algo de bom nestas. :]
De qualquer forma, apenas agradeço.
[]z,

Renan

[5] Comentário enviado por ronanricardo em 29/10/2005 - 19:58h

gostei da dica

[6] Comentário enviado por morronix em 31/10/2005 - 00:17h

tem algum esquema de aumentar a velocidade do download? pq aki tah uma desgraça...tah baixando 375 mb a 0,1 Kb/s,fora a demora para começar o download...enfim,alguem sabe se tem algum esquema pra melhorar isso?

[7] Comentário enviado por morronix em 31/10/2005 - 00:18h

a propósito,eu uso " banda larga",speedy 500.

[8] Comentário enviado por Renan_ em 31/10/2005 - 01:33h

Isso é muito relativo, morronix. Você tem que ver se está pegando ID alta quando conecta-se a rede. Se você tem modem roteado, tente liberar a porta de conexão com o amule para seu pc (a maioria dos servidores usam 4661). Eu fiz isso aqui em casa e deu. Baixo até 60kbps (raramente, mas baixo). =)
[]z

[9] Comentário enviado por CerberusBH em 31/10/2005 - 06:33h

Esse negócio de velocidade do download é um caso sério! :-)

Mesmo que você esteja com ID alta, com as portas corretas liberadas e baixando arquivos "populares", se na origem do arquivo a banda estiver limitada, seu download continuará baixo.

Afinal, além de ser possível o usuário limitar a banda de upload, o que obviamente deixará mais lento o download para quem estiver copiando o arquivo, muita gente ainda usa dial-up e me parece que em certas versões de programas P2P não temos como saber qual o tipo de acesso utilizado na origem do arquivo.

[10] Comentário enviado por rodolfo_cp em 02/11/2005 - 10:33h

aeee!!!
boa kara, porra jah tinha tentado algumas vezes instalar essa biroska aq emmm!! huahuahuahua
vlw mesmo
com essa vc salvou umas 5 almas dq de casa!!! huahahuaua

[11] Comentário enviado por Wesley F em 02/11/2005 - 18:09h

Amule é muito bom apesar de vir numa velocidade baixa e baixando d 3 ou 4 pessoas fica a 10KB/s, mas no amule vc acha de tudo, tem ate as pegadinhas do João Kleber, to querendo ver se pego o Full DVD da Vivi Fernandes oohhhh my God essa loira eh sensacional hehehehhhe eu tenho 2 videos dela aki ela brinca legal, mto bom! Hehhehehhe, mas voltando ao assunto eh mto bom o amule =)

[12] Comentário enviado por texugo89 em 05/02/2006 - 17:36h

Galera, eu instalei o aMule, ele aparenta ser bom, mas eu não consigo configuralo para eu poder baixar alguma coisa.
Alguém saberia onde encontrar algo, um artigo explicando o funcionamento dele, qualquer coisa, Tipo, eu procuro na net mas eu só acho como instalar e não como usar, que é o que eu não sei.
Eu já tentei configuralo mas ele não conecta em nenhum Server, tipo, eu tbm tenho um server aqui em casa que distribui a conexão, ou seja, ela não é direta ao meu computador, Como eu configuro isso ?

Tbm ouvi rumores que o xMule fuciona assim: quanto mais upload vc disponibilizar, mais vc da Download, o aMule tbm é assim??

Espero que vc's possam me ajudar...

## T3%U60 ##

[13] Comentário enviado por gpr.ppg.br em 06/04/2006 - 13:40h

quando reiniciei destruiu a configuracao de minha maquina. agora nao entra mais nem com:
#sudo su

ou

#su

e nem entra mais no amule.
nao tem como eu instalar isso na versao stable???


[14] Comentário enviado por Renan_ em 06/04/2006 - 22:20h

Cara, ter até tem. Alguns meses após fazer essa dica, eu achei um repositorio para o amule versão SARGE (Stable), porém, nao me recordo se guardei, e se guardei, onde guardei.
Caso eu ache, eu lhe mando uma mensagem.
Um abraço,

Renan Louzada.

[15] Comentário enviado por Mallboa em 27/06/2006 - 22:02h

caro amigo eu sou novato ainda em linux
uso o Debian
e tentei instalar o amule pelo apt-get
mais olha so o que aparece


Os pacotes a seguir têm dependências desencontradas:
amule: Depende: libwxgtk2.6-0 (>= 2.6.3.2.1) mas não vai ser instalado
E: Pacotes quebrados
se puder me ajudar ! que estou fazendo de errado!!!!!!!!!!!!1

[16] Comentário enviado por carlosmeska em 04/07/2006 - 17:17h

meu amigo mallboa,

com certeza, qdo vc foi instalar seu debian, vc não deve ter instalado essa biblioteca.

Tem um gerenciador de programas, chamado synaptic, vai até lá e procura essa biblioteca e marca p/ instalação, esse é o meio mais fácil para iniciantes em debian, pois o synaptic traz todos os programas em execução (das mirrors),

té +

flow!!!

[17] Comentário enviado por gnulinux em 07/09/2006 - 12:55h

olá sou "verde no linux" preciso de uma grande ajuda de vcs não consigo instalar o amule eu baixei no formato RPM e não consigo instalar



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts